import type { CapacityPlanningFindLatestInsightFeedbackDTO, CapacityPlanningInsight, CapacityPlanningInsightFeedbackResponse, CapacityPlanningSubmitInsightFeedbackDTO } from '@bringg/types';
import Entity from '../../Core/Entity';
import type Session from '../../Services/Identity/Session';
import type { GetInsightsCountParams, GetInsightsCountResponse, GetInsightsParams, UpdateInsightDoneParams, UpdateInsightDoneResponse } from '../types';
export default class CapacityInsightsEntity extends Entity<CapacityPlanningInsight> {
    constructor(session: Session);
    getInsightCount(params: GetInsightsCountParams): Promise<GetInsightsCountResponse[]>;
    getInsights(params: GetInsightsParams): Promise<CapacityPlanningInsight[]>;
    updateInsightDone(params: UpdateInsightDoneParams): Promise<UpdateInsightDoneResponse>;
    submitInsightFeedback(insightId: number, body: CapacityPlanningSubmitInsightFeedbackDTO): Promise<CapacityPlanningInsightFeedbackResponse>;
    findLatestInsightFeedback(body: CapacityPlanningFindLatestInsightFeedbackDTO): Promise<CapacityPlanningInsightFeedbackResponse[]>;
    deleteInsightFeedbacks(insightId: number): Promise<void>;
}
